import { Config, Customizable, DefaultConfig } from './index';
export declare function isCustomizable(target: boolean | Customizable | undefined): target is Customizable;
export declare function getConfig<T extends keyof Config>(key: T): T extends keyof DefaultConfig ? DefaultConfig[T] : Config[T];
export declare function getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
export declare function getProPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
export declare function getCustomizable<T extends keyof Customizable>(component: T): boolean | undefined;
